/*
    Project: TCTEMP
    Version: V1.11
    File   : na_priv.h

    Copyright (c) 2006-2008 Author of TCTEMP. All rights reserved.
    Public Key Fingerprint: 75EB 6BC2 01B7 F6E7 4BD7 CC58 4A5F C393 19EE 6E69

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCTEMP binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __NA_PRIV_H
#define __NA_PRIV_H

#include "na.h"

#include <stdio.h>
#include <stdarg.h>

#define NA_TEXT_BUFFER_SIZE 512
typedef struct
{
    WCHAR  wszPrintfBuffer[NA_TEXT_BUFFER_SIZE];
#if WINVER <= 0x0500
    CHAR   aszVsnwprintfBuffer[NA_TEXT_BUFFER_SIZE];
#endif

    PVOID  hHeap;

#if DEBUG
    BOOL   fWaitBeforeExiting;
#endif

    BYTE   rgbUserData[1];
} NA_PROCESS_INFO, *PNA_PROCESS_INFO;

typedef struct
{
    PVOID            hHeap;
    PNA_PROCESS_INFO ppi;
} NA_GLOBAL_PROCESS_INFO;

extern NA_GLOBAL_PROCESS_INFO g_pi;

BOOL NAAPI NaWaitForFile(HANDLE phFile, PLARGE_INTEGER pliTimeout);

#endif
